Debian Bug report logs - #501151
ocfs2-tools: completely outdated, better not release with this version

version graph

Package: ocfs2-tools; Maintainer for ocfs2-tools is Jeremy Lainé <jeremy.laine@m4x.org>; Source for ocfs2-tools is src:ocfs2-tools.

Reported by: Frederik Schüler <fs@debian.org>

Date: Sat, 4 Oct 2008 20:51:01 UTC

Severity: serious

Found in version ocfs2-tools/1.2.4-1.2

Fixed in version ocfs2-tools/1.4.1-1

Done: Jeremy Lainé <jeremy.laine@m4x.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Sat, 04 Oct 2008 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Schüler <fs@debian.org>:
New Bug report received and forwarded. Copy sent to David Martínez Moreno <ender@debian.org>. (Sat, 04 Oct 2008 20:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: submit@bugs.debian.org
Subject: ocfs2-tools: completely outdated, better not release with this version
Date: Sat, 4 Oct 2008 22:48:27 +0200
[Message part 1 (text/plain, inline)]
Package: ocfs2-tools
Version: 1.2.4-1.2
Severity: Serious

Hi!

This package version is COMPLETELY outdated. Current stable upstream is 
version 1.4.1(!).

I pinged the maintainer and offered him my help a couple of times within the 
last 6 months, without any reaction.

This old version does not support most of the current ocfs2 features in 
linux-2.6.26. 

I am currently preparing an NMU based on the latest upstream version, and am 
planning to take over this package completely, if the maintainer does not 
react within the next weeks.

Running several OCFS2 installations, I think we should better release without 
ocfs2-tools at all, if the new version will not be allowed to migrate to 
Lenny in time. I will prepare a backport then, after the release.


Best regards
Frederik Schüler

-- 
ENOSIG
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Sat, 11 Oct 2008 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Sat, 11 Oct 2008 22:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 501151@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: debian-release@lists.debian.org
Cc: 501151@bugs.debian.org
Subject: remove ocfs-tools?
Date: Sun, 12 Oct 2008 00:24:42 +0200
Hi,

according to #501151, the upstream version in Debian is not too useful
with the lenny kernel. As such, it seems update or remove are the
options. With the maintainer apparently not too active, it might be more
of the remove variety.

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 17 Oct 2008 08:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 17 Oct 2008 08:12:02 GMT) Full text and rfc822 format available.

Message #15 received at 501151@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Thomas Viehmann <tv@beamnet.de>
Cc: debian-release@lists.debian.org, 501151@bugs.debian.org
Subject: Re: remove ocfs-tools?
Date: Fri, 17 Oct 2008 10:10:40 +0200
* Thomas Viehmann [Sun, 12 Oct 2008 00:24:42 +0200]:

> Hi,

> according to #501151, the upstream version in Debian is not too useful
> with the lenny kernel. As such, it seems update or remove are the
> options. With the maintainer apparently not too active, it might be more
> of the remove variety.

Removed.

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
There is no man so good who, were he to submit all his thoughts to the
laws, would not deserve hanging ten times in his life.
                -- Michel de Montaigne





Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 17 Oct 2008 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Becker <Joel.Becker@oracle.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 17 Oct 2008 19:33:02 GMT) Full text and rfc822 format available.

Message #20 received at 501151@bugs.debian.org (full text, mbox):

From: Joel Becker <Joel.Becker@oracle.com>
To: 501151@bugs.debian.org
Subject: Need a maintainer?
Date: Fri, 17 Oct 2008 12:30:51 -0700
Folks,
	What do I need to do to take over maintenance?  I'd much rather
see ocfs2-tools on Debian.  I did the original debian/ directory until
Fabbione picked it up and cleaned it for Ubuntu.  I'm not yet an
official maintainer of anything for Debian, so I gather I have to get
that set up first, but I've been building .debs forever.
	Oh, and I'm one the upstream maintainers for ocfs2 and
ocfs2-tools :-)

Joel

-- 

"Here's a nickle -- get yourself a better X server."
	- Keith Packard

Joel Becker
Principal Software Developer
Oracle
E-mail: joel.becker@oracle.com
Phone: (650) 506-8127




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Sat, 01 Nov 2008 10:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Velter <Robert@Velter.de>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Sat, 01 Nov 2008 10:36:03 GMT) Full text and rfc822 format available.

Message #25 received at 501151@bugs.debian.org (full text, mbox):

From: Robert Velter <Robert@Velter.de>
To: 501151@bugs.debian.org
Cc: fs@debian.org
Subject: why was ocfs2 support removed from lenny?
Date: Sat, 01 Nov 2008 11:32:59 +0100
Hi,

as far as i see there was no security reason to remove this package.

The only other reason i could see is that there would be no possible
upgrade path from 1.2.x to 1.4.x. Maybe someone can explain me?

I think lenny without ocfs2 support at all is worse than having an
outdated (but at least basically working!) version. Maybe version 1.4.x
can be shipped in r1 then.

Kind regards, Robert

-- 
Robert Velter <Robert@Velter.de>





Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Sun, 02 Nov 2008 22:29:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Sun, 02 Nov 2008 22:30:09 GMT) Full text and rfc822 format available.

Message #30 received at 501151@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: Robert Velter <Robert@Velter.de>, 501151@bugs.debian.org
Cc: fs@debian.org
Subject: Re: Bug#501151: why was ocfs2 support removed from lenny?
Date: Sun, 02 Nov 2008 22:50:02 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


> as far as i see there was no security reason to remove this package.
> 
> The only other reason i could see is that there would be no possible
> upgrade path from 1.2.x to 1.4.x. Maybe someone can explain me?
> 
> I think lenny without ocfs2 support at all is worse than having an
> outdated (but at least basically working!) version. Maybe version 1.4.x
> can be shipped in r1 then.

I totally agree with you. To my knowledge, not having the latest version
of ocfs2-tools means you can't activate the new features that were
introduced in recent kernels but it doesn't break anything.

Cheers,
Jeremy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkkOIIoACgkQ4mJJZqJp2Seh6wCgqsgI1v8EEt/xCcPhi45KmLo7
oMsAoMmF5s91iC5H4WD2gAd0WlJpDnyG
=4ys2
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Sun, 02 Nov 2008 22:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Schüler <fs@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Sun, 02 Nov 2008 22:42:03 GMT) Full text and rfc822 format available.

Message #35 received at 501151@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: Jeremy Lainé <jeremy.laine@m4x.org>
Cc: Robert Velter <Robert@velter.de>, 501151@bugs.debian.org
Subject: Re: Bug#501151: why was ocfs2 support removed from lenny?
Date: Sun, 2 Nov 2008 23:39:23 +0100
[Message part 1 (text/plain, inline)]
Hi!

I am preparing an upload of version 1.4.1, hopefully this will make it into 
Lenny.

Best regards
Frederik Schüler

On Sunday 02 November 2008 22:50:02 Jeremy Lainé wrote:
> 
> > as far as i see there was no security reason to remove this package.
> >
> > The only other reason i could see is that there would be no possible
> > upgrade path from 1.2.x to 1.4.x. Maybe someone can explain me?
> >
> > I think lenny without ocfs2 support at all is worse than having an
> > outdated (but at least basically working!) version. Maybe version 1.4.x
> > can be shipped in r1 then.
> 
> I totally agree with you. To my knowledge, not having the latest version
> of ocfs2-tools means you can't activate the new features that were
> introduced in recent kernels but it doesn't break anything.
> 
> Cheers,
> Jeremy
> 
> 



-- 
ENOSIG
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 07:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 07:42:16 GMT) Full text and rfc822 format available.

Message #40 received at 501151@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: 501151@bugs.debian.org
Cc: Joel.Becker@oracle.com, Frederik Schüler <fs@debian.org>
Subject: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 08:38:02 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Frederik, Joel,

I have started putting together the packaging for ocfs2-tools here:

https://svn.jerryweb.org/public/packages/ocfs2-tools/

What would you think of applying for some space on alioth so that we can maintain
ocfs2-tools collaboratively and finally upload a recent version of ocfs2-tools?

Cheers,
Jeremy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkkmZVoACgkQ4mJJZqJp2Se/tACffFdlJQ+gIhVuX1q/ztuLSP0Y
/NgAoMpRSXywkX+p7DkOf65e36nQhKcH
=KhPU
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 08:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Schüler <fs@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 08:39:02 GMT) Full text and rfc822 format available.

Message #45 received at 501151@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: Jeremy Lainé <jeremy.laine@m4x.org>
Cc: 501151@bugs.debian.org, Joel.Becker@oracle.com
Subject: Re: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 09:35:13 +0100
[Message part 1 (text/plain, inline)]
Hi!

I already ha d deep look at the current packaging included in upstream git, 
basically the initscripts need to be rewritten as they are full of 
redhadisms, but thats'it basically. 

I think the debconf templates and the corresponding configuration parts in the 
maintainer scripts should be removed for Lenny, because I doubt we would get 
this into testing in time, lacking all translations. It's broken anyway, and 
I currently have no time to fix that due to RL work overload.

To your question, Alioth seems fine to me, but why not use oracle git, and 
make it a native package?

Best regards
Frederik Schüler

On Friday 21 November 2008 08:38:02 Jeremy Lainé wrote:
> Frederik, Joel,
> 
> I have started putting together the packaging for ocfs2-tools here:
> 
> https://svn.jerryweb.org/public/packages/ocfs2-tools/
> 
> What would you think of applying for some space on alioth so that we can 
maintain
> ocfs2-tools collaboratively and finally upload a recent version of 
ocfs2-tools?
> 
> Cheers,
> Jeremy
> 
> 



-- 
ENOSIG
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 09:19:28 GMT) Full text and rfc822 format available.

Message #50 received at 501151@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: Frederik Schüler <fs@debian.org>
Cc: 501151@bugs.debian.org, Joel.Becker@oracle.com
Subject: Re: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 10:06:32 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi!

> I already ha d deep look at the current packaging included in upstream git, 
> basically the initscripts need to be rewritten as they are full of 
> redhadisms, but thats'it basically. 

As far as I can tell, the packaging in upstream git (and upstream tarballs) is a
not-quite-up-to-date copy of the Ubuntu packaging for ocfs2-tools 1.3.9. I disagree about
rewriting the initscripts, until now the init scripts shipped with Debian have always been
based on upstream with some minor Debian patches, and upstream has integrated all these
patches. As time is short for lenny I'd rather stick to well-tested upstream init scripts.

> I think the debconf templates and the corresponding configuration parts in the 
> maintainer scripts should be removed for Lenny, because I doubt we would get 
> this into testing in time, lacking all translations. It's broken anyway, and 
> I currently have no time to fix that due to RL work overload.

In the Ubuntu packaging, the changes that were made were simply to update the default
values for timeouts. I have manually integrated these changes into all of Debian's
translations, so there should not be any translation issue. Are there any additional
changes to your knowledge?

> To your question, Alioth seems fine to me, but why not use oracle git, and 
> make it a native package?

I'd rather go the opposite way: ask upstream to drop the packaging in their git which is
not quite up to date, and encourage them (and Ubuntu maintainers) to contribute to the
packaging on alioth. Is there some cluster-related project on Alioth we can tack onto or
should I ask for a new project?

Cheers,
Jeremy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkkmehcACgkQ4mJJZqJp2Sc5cQCeMvUAN88oBJSB0ade73pcuYBJ
Y4wAoKUVly1es2mDzbPOL2yLGzT9jqZH
=IJyT
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 09:35:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 09:36:50 GMT) Full text and rfc822 format available.

Message #55 received at 501151@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: Joel.Becker@oracle.com
Cc: Frederik Schüler <fs@debian.org>, 501151@bugs.debian.org
Subject: Build dependencies for ocfs2-tools
Date: Fri, 21 Nov 2008 10:24:25 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Joel,

As stated in my previous email I am trying to revive the Debian packaging for ocfs2-tools.
One of the things I noticed while building ocfs2-tools is that the configure script
complains about these missing dependencies:

checking for cman_replyto_shutdown in -lcman... no
configure: WARNING: libcman not found, cman support will not be built
no
configure: WARNING: libcpg not found, cman support will not be built
checking libdlm.h usability... no
checking libdlm.h presence... no
checking for libdlm.h... no
configure: WARNING: libdlm.h not found, fsdlm support will not be built

I can add libcman-dev and libdlm-dev to the Build-Depends, but could you please describe
what additional features we'll gain?

Cheers,
Jeremy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkkmfkkACgkQ4mJJZqJp2SfiRwCcC1kgxzq9vdKnciuGVQbmOnPb
ugwAnjg9/Pua2/Hzq9emdFUk5uXVy4Vz
=LSk8
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 17:18:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 17:18:15 GMT) Full text and rfc822 format available.

Message #60 received at 501151@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: 501151@bugs.debian.org
Cc: Joel.Becker@oracle.com, Frederik Schüler <fs@debian.org>
Subject: Re: Bug#501151: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 18:17:58 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> What would you think of applying for some space on alioth so that we can maintain
> ocfs2-tools collaboratively and finally upload a recent version of ocfs2-tools?

I have moved the packaging to the collab-maint Subversion repository:

http://svn.debian.org/viewsvn/collab-maint/deb-maint/ocfs2-tools/trunk/

I pruned the "debian" directory from the upstream tarball to make packaging cleaner and
have uploaded ocfs2-tools 1.4.1-1 to unstable. It will probably sit in the NEW queue for a
bit due to the addition of ocfs2-tools-dev.

Frederik, you are listed in the Uploaders, so we're all set up for collaborative
maintenance. What do you think about asking for this version to be allowed to migrate to
lenny?

Cheers,
Jeremy
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkkm7UYACgkQ4mJJZqJp2SfKMgCeNBW47ditlqmE6vvmUXk71BzF
wzcAoJhrA5sBy9pKU5zwqlLOI/Kzw4on
=qKfc
-----END PGP SIGNATURE-----




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 21 Nov 2008 19:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 21:36:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Becker <Joel.Becker@oracle.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 21:36:49 GMT) Full text and rfc822 format available.

Message #67 received at 501151@bugs.debian.org (full text, mbox):

From: Joel Becker <Joel.Becker@oracle.com>
To: Jeremy Lainé <jeremy.laine@m4x.org>
Cc: 501151@bugs.debian.org, Frederik Schüler <fs@debian.org>
Subject: Re: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 13:23:49 -0800
On Fri, Nov 21, 2008 at 08:38:02AM +0100, Jeremy Lainé wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Frederik, Joel,
> 
> I have started putting together the packaging for ocfs2-tools here:
> 
> https://svn.jerryweb.org/public/packages/ocfs2-tools/

FYI, iceweasel reports:

------------------
Secure Connection Failed

svn.jerryweb.org uses an invalid security certificate.

The certificate is not trusted because the issuer certificate is
unknown.

(Error code: sec_error_unknown_issuer)
------------------

Hmm, I added a temporary exception, and now I just get a 404.

> What would you think of applying for some space on alioth so that we can maintain
> ocfs2-tools collaboratively and finally upload a recent version of ocfs2-tools?

	I don't know why maintaining it upstream is a problem - I'll
happily take patches.  The nice part about upstream maintenance is that
one can build a package from the source without having to navigate other
places.  That doesn't matter for release packaging, but it does if I
want to build packages while developing.

Joel

-- 

"Up and down that road in our worn out shoes,
 Talking bout good things and singing the blues."

Joel Becker
Principal Software Developer
Oracle
E-mail: joel.becker@oracle.com
Phone: (650) 506-8127




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 21:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Becker <Joel.Becker@oracle.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 21:39:13 GMT) Full text and rfc822 format available.

Message #72 received at 501151@bugs.debian.org (full text, mbox):

From: Joel Becker <Joel.Becker@oracle.com>
To: Frederik Schüler <fs@debian.org>
Cc: Jeremy Lainé <jeremy.laine@m4x.org>, 501151@bugs.debian.org
Subject: Re: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 13:25:00 -0800
On Fri, Nov 21, 2008 at 09:35:13AM +0100, Frederik Schüler wrote:
> Hi!
> 
> I already ha d deep look at the current packaging included in upstream git, 
> basically the initscripts need to be rewritten as they are full of 
> redhadisms, but thats'it basically. 

	Um, they use lsb bits, because they are portable scripts.  If
you can find something that fails on Debian, send me a note or a patch.

Joel

-- 

Viro's Razor:
	Any race condition, no matter how unlikely, will occur just
	often enough to bite you.

Joel Becker
Principal Software Developer
Oracle
E-mail: joel.becker@oracle.com
Phone: (650) 506-8127




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 21:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Becker <Joel.Becker@oracle.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 21:40:03 GMT) Full text and rfc822 format available.

Message #77 received at 501151@bugs.debian.org (full text, mbox):

From: Joel Becker <Joel.Becker@oracle.com>
To: Jeremy Lainé <jeremy.laine@m4x.org>
Cc: 501151@bugs.debian.org, Frederik Schüler <fs@debian.org>
Subject: Re: Bug#501151: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 13:31:53 -0800
On Fri, Nov 21, 2008 at 06:17:58PM +0100, Jeremy Lainé wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> > What would you think of applying for some space on alioth so that we can maintain
> > ocfs2-tools collaboratively and finally upload a recent version of ocfs2-tools?
> 
> I have moved the packaging to the collab-maint Subversion repository:
> 
> http://svn.debian.org/viewsvn/collab-maint/deb-maint/ocfs2-tools/trunk/
> 
> I pruned the "debian" directory from the upstream tarball to make packaging cleaner and
> have uploaded ocfs2-tools 1.4.1-1 to unstable. It will probably sit in the NEW queue for a
> bit due to the addition of ocfs2-tools-dev.

	Still don't know why an upstream debian/ tree is so frowned
upon.
	I will say, I really like what /usr/share/cdbs does for
debian/rules.

Joel

-- 

"Vote early and vote often." 
        - Al Capone

Joel Becker
Principal Software Developer
Oracle
E-mail: joel.becker@oracle.com
Phone: (650) 506-8127




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 21:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Becker <Joel.Becker@oracle.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 21:42:06 GMT) Full text and rfc822 format available.

Message #82 received at 501151@bugs.debian.org (full text, mbox):

From: Joel Becker <Joel.Becker@oracle.com>
To: Jeremy Lainé <jeremy.laine@m4x.org>
Cc: Frederik Schüler <fs@debian.org>, 501151@bugs.debian.org
Subject: Re: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 13:26:42 -0800
On Fri, Nov 21, 2008 at 10:06:32AM +0100, Jeremy Lainé wrote:
> > I already ha d deep look at the current packaging included in upstream git, 
> > basically the initscripts need to be rewritten as they are full of 
> > redhadisms, but thats'it basically. 
> 
> As far as I can tell, the packaging in upstream git (and upstream tarballs) is a
> not-quite-up-to-date copy of the Ubuntu packaging for ocfs2-tools 1.3.9. I disagree about
> rewriting the initscripts, until now the init scripts shipped with Debian have always been
> based on upstream with some minor Debian patches, and upstream has integrated all these
> patches. As time is short for lenny I'd rather stick to well-tested upstream init scripts.

	Again, let me know if anything doesn't work.

> > To your question, Alioth seems fine to me, but why not use oracle git, and 
> > make it a native package?
> 
> I'd rather go the opposite way: ask upstream to drop the packaging in their git which is
> not quite up to date, and encourage them (and Ubuntu maintainers) to contribute to the
> packaging on alioth. Is there some cluster-related project on Alioth we can tack onto or
> should I ask for a new project?

	Why can't we just make our packaging up to date?  Regarding
Alioth, what do we gain?  git is a distributed system, so it's plenty
collaborative.

Joel

-- 

A good programming language should have features that make the
kind of people who use the phrase "software engineering" shake
their heads disapprovingly.
	- Paul Graham

Joel Becker
Principal Software Developer
Oracle
E-mail: joel.becker@oracle.com
Phone: (650) 506-8127




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Becker <Joel.Becker@oracle.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 21:48:03 GMT) Full text and rfc822 format available.

Message #87 received at 501151@bugs.debian.org (full text, mbox):

From: Joel Becker <Joel.Becker@oracle.com>
To: Jeremy Lainé <jeremy.laine@m4x.org>
Cc: Frederik Schüler <fs@debian.org>, 501151@bugs.debian.org
Subject: Re: Build dependencies for ocfs2-tools
Date: Fri, 21 Nov 2008 13:46:36 -0800
On Fri, Nov 21, 2008 at 10:24:25AM +0100, Jeremy Lainé wrote:
> As stated in my previous email I am trying to revive the Debian packaging for ocfs2-tools.
> One of the things I noticed while building ocfs2-tools is that the configure script
> complains about these missing dependencies:
> 
> checking for cman_replyto_shutdown in -lcman... no
> configure: WARNING: libcman not found, cman support will not be built
> no
> configure: WARNING: libcpg not found, cman support will not be built
> checking libdlm.h usability... no
> checking libdlm.h presence... no
> checking for libdlm.h... no
> configure: WARNING: libdlm.h not found, fsdlm support will not be built
> 
> I can add libcman-dev and libdlm-dev to the Build-Depends, but could you please describe
> what additional features we'll gain?

[Short answer]

Don't do it yet.


[Longer answer]

Support for the cman and pacemaker cluster stacks.  The reason I say
don't do it yet is that 1.4.1 doesn't have the full support in the code.


[Full answer]

ocfs2 has always supported its internal cluster stack (o2cb) and DLM
(o2dlm).  ocfs2 in mainline has added support for userspace cluster
stacks that support the generic DLM in fs/dlm.ko.  Today, that means Red
Hat's CMan and SuSE's PaceMaker.  That's all there in 2.6.26 and later.

The ocfs2 tools also need to understand a userspace cluster stack.  The
libo2cb and libo2dlm libraries need updating, and the o2cb.init script
needs to do the right thing.

To have the userspace stack interact with the ocfs2 kernel driver, we
provide a daemon called "ocfs2_controld.<stack_name>".  Right now, the
master branch of ocfs2-tools has both ocfs2_controld.cman and
ocfs2_controld.pcmk.

While the 1.4.1 release has some of the ocfs2_controld code, it's not
usable.  Which is why I say "don't do it yet".

The master branch has working code.  If configure.in detects the
appropriate pieces for cman, pacemaker, or both, it will build the
support in.

When it comes to packaging, we've designed it so that the core
ocfs2-tools package has no additional dependencies.  The
ocfs2_controld.cman daemon will be packaged as 'ocfs2-tools-cman', and
the ocfs2_controld.pcmk daemon will be packaged as
'ocfs2-tools-pacemaker'.  Those sub-packages will depend on cman and
pacemaker respectively.  Thus, a user who wants to use o2cb does not
need to install cman or pacemaker.  A user who wants to use pacemaker does
not need to install cman.  And a user can even install support for all
three stacks, switching between them to try them out.  o2cb.init starts
the appropriate daemon based on a variable in /etc/default/o2cb.

When we release a version with these packages, the build requirements
will be modified to include corosync/openais, libdlm, cman, and
pacemaker.  But we haven't gotten there yet, on any platform.

I hope this answered your question :-)

Joel

-- 

Life's Little Instruction Book #356

	"Be there when people need you."

Joel Becker
Principal Software Developer
Oracle
E-mail: joel.becker@oracle.com
Phone: (650) 506-8127





Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 23:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederik Schüler <fs@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 23:06:03 GMT) Full text and rfc822 format available.

Message #92 received at 501151@bugs.debian.org (full text, mbox):

From: Frederik Schüler <fs@debian.org>
To: Joel Becker <Joel.Becker@oracle.com>
Cc: Jeremy Lainé <jeremy.laine@m4x.org>, 501151@bugs.debian.org
Subject: Re: Bug#501151: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Sat, 22 Nov 2008 00:02:31 +0100
[Message part 1 (text/plain, inline)]
Hi!

no, please, no way for cdbs.

Best regards
Frederik Schüler

On Friday 21 November 2008 22:31:53 Joel Becker wrote:
> On Fri, Nov 21, 2008 at 06:17:58PM +0100, Jeremy Lainé wrote:
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> > 
> > > What would you think of applying for some space on alioth so that we can 
maintain
> > > ocfs2-tools collaboratively and finally upload a recent version of 
ocfs2-tools?
> > 
> > I have moved the packaging to the collab-maint Subversion repository:
> > 
> > http://svn.debian.org/viewsvn/collab-maint/deb-maint/ocfs2-tools/trunk/
> > 
> > I pruned the "debian" directory from the upstream tarball to make 
packaging cleaner and
> > have uploaded ocfs2-tools 1.4.1-1 to unstable. It will probably sit in the 
NEW queue for a
> > bit due to the addition of ocfs2-tools-dev.
> 
> 	Still don't know why an upstream debian/ tree is so frowned
> upon.
> 	I will say, I really like what /usr/share/cdbs does for
> debian/rules.
> 
> Joel
> 
> -- 
> 
> "Vote early and vote often." 
>         - Al Capone
> 
> Joel Becker
> Principal Software Developer
> Oracle
> E-mail: joel.becker@oracle.com
> Phone: (650) 506-8127
> 
> 



-- 
ENOSIG
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 23:36:02 GMT) Full text and rfc822 format available.

Message #97 received at 501151@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: Joel Becker <Joel.Becker@oracle.com>
Cc: 501151@bugs.debian.org, Frederik Schüler <fs@debian.org>
Subject: Re: Bug#501151: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 22:44:12 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Joel!

> Still don't know why an upstream debian/ tree is so frowned
> upon.

I have no problem with upstream working on debian/ or even on with packaging being hosted
upstream, I went with alioth for the sake of expediency. If you want to collaborate you
can apply for access to the "collab-maint" on alioth.debian.org, or we can re-discuss
hosting options - no problem.

I *do* have a problem with debian/ being included in release tarballs though, it makes for
messy .diff.gz if for instance files get dropped or moved around from packaging between
revision 1.4.1-1 and 1.4.1-2. Also, at times there are minor differences between Ubuntu /
Debian packages, and it's a shame to have to carry that around in the .diffs.

Slightly off topic, Joel you might want to take a peek at svn-buildpackage (and/or
git-buildpackage) if you're not familiar with them yet, they make slapping the packaging
onto upstream code (and tagging package releases) a breeze.

> I will say, I really like what /usr/share/cdbs does for
> debian/rules.

I'm pretty fond of CDBS, but I know it's not universally loved. :)

Cheers,
Jeremy

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkknK6wACgkQ4mJJZqJp2Sd0jACgj4SXf6dYmk/qbyptj96wKZb+
K0AAoJ0c6jHE4R8wY6So2KJMSitgvOME
=o/8u
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#501151; Package ocfs2-tools. (Fri, 21 Nov 2008 23:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joel Becker <Joel.Becker@oracle.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 21 Nov 2008 23:48:05 GMT) Full text and rfc822 format available.

Message #102 received at 501151@bugs.debian.org (full text, mbox):

From: Joel Becker <Joel.Becker@oracle.com>
To: Jeremy Lainé <jeremy.laine@m4x.org>
Cc: 501151@bugs.debian.org, Frederik Schüler <fs@debian.org>
Subject: Re: Bug#501151: Preparing packaging for ocfs2-tools 1.4.1-1
Date: Fri, 21 Nov 2008 15:45:18 -0800
On Fri, Nov 21, 2008 at 10:44:12PM +0100, Jeremy Lainé wrote:
> I *do* have a problem with debian/ being included in release tarballs though, it makes for
> messy .diff.gz if for instance files get dropped or moved around from packaging between
> revision 1.4.1-1 and 1.4.1-2. Also, at times there are minor differences between Ubuntu /
> Debian packages, and it's a shame to have to carry that around in the .diffs.

	I'm not sure why there are messy .diffs if we've got the master
debian/.  Are you saying that you want to tweak a problem with the 1.4.1
debian/ directory, and you're stuck with the 1.4.1 tarball as released
even if we have the fix in the upstream source?

> Slightly off topic, Joel you might want to take a peek at svn-buildpackage (and/or
> git-buildpackage) if you're not familiar with them yet, they make slapping the packaging
> onto upstream code (and tagging package releases) a breeze.

	I will.  Thanks.

> > I will say, I really like what /usr/share/cdbs does for
> > debian/rules.
> 
> I'm pretty fond of CDBS, but I know it's not universally loved. :)

	Well, I haven't looked at the actual include hunks.  But the
debian/rules you provided looks pretty clean.  I see that fs doesn't
like it so much.

Joel

-- 

"It is not the function of our government to keep the citizen from
 falling into error; it is the function of the citizen to keep the
 government from falling into error."
	- Robert H. Jackson

Joel Becker
Principal Software Developer
Oracle
E-mail: joel.becker@oracle.com
Phone: (650) 506-8127




Reply sent to Jeremy Lainé <jeremy.laine@m4x.org>:
You have taken responsibility. (Fri, 28 Nov 2008 13:04:17 GMT) Full text and rfc822 format available.

Notification sent to Frederik Schüler <fs@debian.org>:
Bug acknowledged by developer. (Fri, 28 Nov 2008 13:04:18 GMT) Full text and rfc822 format available.

Message #107 received at 501151-close@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: 501151-close@bugs.debian.org
Subject: Bug#501151: fixed in ocfs2-tools 1.4.1-1
Date: Fri, 28 Nov 2008 12:36:58 +0000
Source: ocfs2-tools
Source-Version: 1.4.1-1

We believe that the bug you reported is fixed in the latest version of
ocfs2-tools, which is due to be installed in the Debian FTP archive:

ocfs2-tools-dev_1.4.1-1_amd64.deb
  to pool/main/o/ocfs2-tools/ocfs2-tools-dev_1.4.1-1_amd64.deb
ocfs2-tools_1.4.1-1.diff.gz
  to pool/main/o/ocfs2-tools/ocfs2-tools_1.4.1-1.diff.gz
ocfs2-tools_1.4.1-1.dsc
  to pool/main/o/ocfs2-tools/ocfs2-tools_1.4.1-1.dsc
ocfs2-tools_1.4.1-1_amd64.deb
  to pool/main/o/ocfs2-tools/ocfs2-tools_1.4.1-1_amd64.deb
ocfs2-tools_1.4.1.orig.tar.gz
  to pool/main/o/ocfs2-tools/ocfs2-tools_1.4.1.orig.tar.gz
ocfs2console_1.4.1-1_amd64.deb
  to pool/main/o/ocfs2-tools/ocfs2console_1.4.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 501151@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeremy Lainé <jeremy.laine@m4x.org> (supplier of updated ocfs2-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 21 Nov 2008 17:58:51 +0100
Source: ocfs2-tools
Binary: ocfs2-tools ocfs2-tools-dev ocfs2console
Architecture: source amd64
Version: 1.4.1-1
Distribution: unstable
Urgency: medium
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Changed-By: Jeremy Lainé <jeremy.laine@m4x.org>
Description: 
 ocfs2-tools - tools for managing OCFS2 cluster filesystems
 ocfs2-tools-dev - tools for managing OCFS2 cluster filesystems - development files
 ocfs2console - tools for managing OCFS2 cluster filesystems - graphical interfac
Closes: 430378 465216 501151
Changes: 
 ocfs2-tools (1.4.1-1) unstable; urgency=medium
 .
   * Take over maintainership, add Frederik Schüler to Uploaders.
   * New upstream release, fixes RC bug (Closes: #430378, #501151).
   * Acknowledge NMU (Closes: #465216).
   * Update default timeouts in templates and translation files.
   * Remove all patches as they have been merged upstream.
   * Do not install debian/mount.ocfs2.8, use upstream manpage.
   * Remove unused ocfs2console.manpages and ocfs2-tools.manpages.
   * Add o2image and its manpage to ocfs2-tools package.
   * Add package ocfs2-tools-dev to include development files.
   * Improve README.Debian with some setup instructions.
   * Create the /etc/ocfs2 directory.
   * Switch to CDBS.
   * Update Standards-Version to 3.8.0.
   * Remove obsolete debian/NEWS and debian/TODO files.
   * Add Homepage, Vcs-Svn and Vcs-Browser fields to debian/control.
Checksums-Sha1: 
 836ad8444731454b37225f21f5fb797098946de8 1460 ocfs2-tools_1.4.1-1.dsc
 9c15c8742022af0ca38d80f03a23e2c2e391d568 586745 ocfs2-tools_1.4.1.orig.tar.gz
 ca32bb2714d9f40dba75016773645ab4e554ac5e 17387 ocfs2-tools_1.4.1-1.diff.gz
 a2b4d9b6b02cc29922008b15160e1a88d578d864 600034 ocfs2-tools_1.4.1-1_amd64.deb
 cc226272faeeb49d55e277e1bf707e837d0f0c32 116286 ocfs2-tools-dev_1.4.1-1_amd64.deb
 d77c75019e1125a99877fe0f5a4fe0cfbc2e0e0a 104824 ocfs2console_1.4.1-1_amd64.deb
Checksums-Sha256: 
 6b2d7ace97cecd91d7f3c5ab406024d83c5a6262be75ed04f470c3a877f31f04 1460 ocfs2-tools_1.4.1-1.dsc
 7a14170f8617cb6db71c666606be9645112bcd5f3732ab2ef9e7dcffe3abb221 586745 ocfs2-tools_1.4.1.orig.tar.gz
 def7b3e31c7cd55ab03feceda1dca28766ecd5258991e7b1342e5313fd783f3d 17387 ocfs2-tools_1.4.1-1.diff.gz
 fb4afe0a1a1cd5b3ef660772464df7466b0f98d3f3356776481b5346d6912a31 600034 ocfs2-tools_1.4.1-1_amd64.deb
 b03bab5fde11bf284639a0bcc8ee32d7f285c761f41e10fb59c62988fde65020 116286 ocfs2-tools-dev_1.4.1-1_amd64.deb
 716eda29ca0d9ef73670febd2016fb9e4b1927ba92d4825d2d33f452a99dd04d 104824 ocfs2console_1.4.1-1_amd64.deb
Files: 
 962e3afdaa6e92409755d8b63b3bbee4 1460 admin optional ocfs2-tools_1.4.1-1.dsc
 d650be698c06d54aeedb586e148c4182 586745 admin optional ocfs2-tools_1.4.1.orig.tar.gz
 892ab37baa3f93ad6a740b0f634b1051 17387 admin optional ocfs2-tools_1.4.1-1.diff.gz
 8e9c10ba6cf3ae858528920f57bff103 600034 admin optional ocfs2-tools_1.4.1-1_amd64.deb
 b577b24e814947678b2e5cb266e68ce6 116286 devel optional ocfs2-tools-dev_1.4.1-1_amd64.deb
 defc59adf17ccbb8dfadd546c22153dd 104824 admin optional ocfs2console_1.4.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkm6Y8ACgkQ4mJJZqJp2SecEQCfY0kbHpEGuPkfvJzHnHsyPc6V
rJkAmQGfzuH05299ty4Es52/D8QNPEYM
=qp3B
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Jan 2009 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:58:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.